# DownloadProductPropertiesFromServer

### Description

Downloads a license file from the license server and stores it on the end user system.

```csharp
bool DownloadProductPropertiesFromServer(string webServiceUrl, 
                                    string activationKey,                                     
                                    out string errorMessage)                                    
```

### Parameters

| Parameter     |  Type  | Description                   |
| ------------- | :----: | ----------------------------- |
| webServiceUrl | string | URL to the QLM License Server |
| activationKey | string | the activation key            |
| errorMessage  | string | error message                 |

### Return

| Type | Description                                             |
| ---- | ------------------------------------------------------- |
| bool | true if the download and save operation were successful |

### Remarks

You must call [DefineProduct ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/defineproduct.md)before calling this function.

If the QlmLicense.[ProdutPropertiesFilePath](https://docs.soraco.co/docs/api-reference/.net-api/iqlmlicense/properties) property is set, the License File is stored on the end user system in the location specified by ProductPropertiesFilePath.

If the ProductPropertiesFilePathis not set, the Product Properties file is stored in the location specified by the QlmLicense.StoreKeysLocation property.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/downloadproductpropertiesfromserver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
